ubuntu/+source/tex-common:applied/ubuntu/lucid

Last commit made on 2010-01-22
Get this branch:
git clone -b applied/ubuntu/lucid https://git.launchpad.net/ubuntu/+source/tex-common
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/lucid
Repository:
lp:ubuntu/+source/tex-common

Recent commits

46188ce... by Norbert Preining on 2010-01-12

Import patches-applied version 2.06 to applied/ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 628235e6b426d82225b78828bd4c1910308d8cde
Unapplied parent: c1c7292ccb8828a392fbb6b1e41338e0b26320dd

New changelog entries:
  * call mktexlsr with list of trees in lsr trigger action (Closes: #564457)
  * update language.def based formats in the texmf-hyphen trigger option,
    otherwise updating hyphenation patterns does not have any effect on
    those formats (Closes: #562918)
  * fix bug in dh_installtex that added a rogue newline in hyphenation
    definitions, thanks Danai (Closes: #562783)
  * only call fmtutil-sys in postinst if texlive-base is configured
    (Closes: #560854)
  * upload to unstable
  * Remove setting of MPXCOMMAND. MetaPost in TeXLive 2009 no longer needs
    it, and is broken when it is set. [fk]
  * postinst trigger action: run updmap sys action only if texlive-base
    installed since otherwise updmap-sys will break
  * bump standards version to 3.8.3
  * bump depends to << 2009 (there was no 2008 anyway)
  * new experimental branch for changes necessary to support TeX Live 2008
    and later that introduced hyphenation pattern support for etex based
    formats. language.def is now managed like language.dat.
    - add support for generating language.def to update-fontlang
    - install those scripts as update-language-def and update-language-dat
    - make update-language work as calling both of the above
    - adjust dh_installtex to accept new syntax
  * Make the wording of the warning message in postrm-texlsr broader,
    since there are a couple of reasons why this can fail
  * postrm's generated by dh_installtex now no longer assume that
    tex-common is installed when the package is removed. After a rebuild
    of texlive, this will fix #531581.
  * Update some texmf.cnf settings for TeXLive 2009. Before uploading to
    unstable, this needs a closer inspection (in particular, comment
    changes possibly cluttering diffs.
  * Add a Conflicts on old texlive-common, in order to force an upgrade of
    all the packages in one bunch.
  * implement trigger support for mktexlsr

c1c7292... by Norbert Preining on 2010-01-12

Import patches-unapplied version 2.06 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2707f1898736e0942fe597a5a5bae8a638bf4479

New changelog entries:
  * call mktexlsr with list of trees in lsr trigger action (Closes: #564457)

2707f18... by Norbert Preining on 2009-12-29

Import patches-unapplied version 2.05 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f71acca6bc7dcb4468cc7f3d34994e2096dc9d36

New changelog entries:
  * update language.def based formats in the texmf-hyphen trigger option,
    otherwise updating hyphenation patterns does not have any effect on
    those formats (Closes: #562918)

f71acca... by Norbert Preining on 2009-12-27

Import patches-unapplied version 2.04 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 854c98b18c8bcb28fc603eb176792523e2bff6f0

New changelog entries:
  * fix bug in dh_installtex that added a rogue newline in hyphenation
    definitions, thanks Danai (Closes: #562783)

854c98b... by Norbert Preining on 2009-12-12

Import patches-unapplied version 2.03 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f1d50cdd1231d954bef6d3eb4236ad43b75d3d47

New changelog entries:
  * only call fmtutil-sys in postinst if texlive-base is configured
    (Closes: #560854)
  * upload to unstable

f1d50cd... by Norbert Preining on 2009-12-03

Import patches-unapplied version 2.01 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 92090b96978660b33f8be093574f078bf207e9a1

New changelog entries:
  * Remove setting of MPXCOMMAND. MetaPost in TeXLive 2009 no longer needs
    it, and is broken when it is set. [fk]
  * postinst trigger action: run updmap sys action only if texlive-base
    installed since otherwise updmap-sys will break
  * bump standards version to 3.8.3
  * bump depends to << 2009 (there was no 2008 anyway)

92090b9... by Norbert Preining on 2009-10-04

Import patches-unapplied version 2.00 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: cffe24cf5362de094a273649bc004fc27d4e1b07

New changelog entries:
  * new experimental branch for changes necessary to support TeX Live 2008
    and later that introduced hyphenation pattern support for etex based
    formats. language.def is now managed like language.dat.
    - add support for generating language.def to update-fontlang
    - install those scripts as update-language-def and update-language-dat
    - make update-language work as calling both of the above
    - adjust dh_installtex to accept new syntax
  * Make the wording of the warning message in postrm-texlsr broader,
    since there are a couple of reasons why this can fail
  * Update some texmf.cnf settings for TeXLive 2009. Before uploading to
    unstable, this needs a closer inspection (in particular, comment
    changes possibly cluttering diffs.
  * Add a Conflicts on old texlive-common, in order to force an upgrade of
    all the packages in one bunch.
  * implement trigger support for mktexlsr

cffe24c... by Norbert Preining on 2009-06-09

Import patches-unapplied version 1.20 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: dcbcb8b737851e96e2b22a85ed617af3b1d125ba

New changelog entries:
  * after the change to tex-common's postinst script the ls-R file for
    /var/lib/texmf was not recreated, which breaks installation.
    Add this tree to the trigger call to mktexlsr (Closes: #532525)
  [ Norbert Preining ]
  * change dh_installtex generated postrm code to call update-texmf-config
    only if it is present. That should be due to the policy, but it still
    might happen that tex-common is not installed bug another package
    depending on it is tried to be removed (see bug #531581).
    (Closes: #530832)
  * Remove the code in postrm that removes /usr/local/share/texmf/ls-R,
    we are not allowed to do that (policy), but we try to remove that
    directory if it is empty. (Closes: #528021)
  [ Frank Küster ]
  * Make sure that tex-common's own postinst script does not create
    /usr/local/share/texmf/ls-R (closes: #528021)

628235e... by Norbert Preining on 2009-06-09

Import patches-applied version 1.20 to applied/ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: b97e776a26aac3161ab8da4f8278c9f6694d306a
Unapplied parent: cffe24cf5362de094a273649bc004fc27d4e1b07

New changelog entries:
  * after the change to tex-common's postinst script the ls-R file for
    /var/lib/texmf was not recreated, which breaks installation.
    Add this tree to the trigger call to mktexlsr (Closes: #532525)
  [ Norbert Preining ]
  * change dh_installtex generated postrm code to call update-texmf-config
    only if it is present. That should be due to the policy, but it still
    might happen that tex-common is not installed bug another package
    depending on it is tried to be removed (see bug #531581).
    (Closes: #530832)
  * Remove the code in postrm that removes /usr/local/share/texmf/ls-R,
    we are not allowed to do that (policy), but we try to remove that
    directory if it is empty. (Closes: #528021)
  [ Frank Küster ]
  * Make sure that tex-common's own postinst script does not create
    /usr/local/share/texmf/ls-R (closes: #528021)

b97e776... by Norbert Preining on 2009-04-13

Import patches-applied version 1.18 to applied/ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 56d953e25ea980c0aefa1f061fca3f3079dee20b
Unapplied parent: dcbcb8b737851e96e2b22a85ed617af3b1d125ba

New changelog entries:
  * make sure that fmtutil-sys --all and updmap-sys are called on new
    installations when tex-common is configured, since new installations
    do not trigger. This bug fixes via rebuild of texlive-base #520042,
    #520410, and via rebuild of #520449.
  * bump the dh_installtex induced dependency on tex-common to 1.18
  * rework trigger support so that new file triggers are used, but
    the code in the maintainer scripts generated by dh_installtex
    for updmap and language calls the new script update-texmf-config
    which simply calls the respective trigger. In the course of the
    the options map:notriggers and language:notriggers were removed
    from the possible options of dh_installtex.
  * remove developer only information from debian/NEWS (Closes: #519964)
    and include the information in the changelog entry for 1.15.
  * using dh_installtex --flavor formats:build_all breaks because we
    removed the calls to update-fmtutil etc. Readd all those calls
    (Closes: #520166)
  * bump standards version to 3.8.1, no changes needed
  * add mktexlsr calling code from postinst-tex to the trigger action in
    case it has never been run before. That allows fresh installations
    to succeed. (Closes: #519701) [np]
  [ Norbert Preining ]
  * upload of trigger-enabled tex-common to unstable, packages should be
    rebuild. Triggers are supported for files dropped into /etc/texmf/updmap.d
    and /etc/texmf/language.d, i.e., for calls to updmap-sys
    and fmtutil-sys (when hyphenation patterns are used). If packages
    need to install fonts/hyphenation patterns and need them active
    in the postinst already, it should call dh_installtex with
      --flavor=map:notriggers
    or
      --flavor=language:notriggers
    Until all packages have been rebuilt with the new dh_installtex
    updmap-sys and fmtutil-sys will be called two times.
  * remove references to teTeX from the man pages (Closes: #486369)
  * bump dh compat level to 5, adjust debian/control
  * add ${misc:Depends} to dependencies
  [ Jan Hauke Rahm ]
  * make debhelper's '--with' option available for tex-common. dh_installtex
    can now be integrated in debian/rules via 'dh install --with tex' when
    using compat 7
  * fix coding error in dh_installtex's pod documentation [np]
  * updated Romanian translation (ro.po) (Closes: #506038)
    [hilmar-guest]
  * add a fix for dh_installtex to work with debhelper >= 7.1.0 (experimental)
    (Closes: #507365) (patch from Roderich Schupp) [np]
  * bump standards version to 3.8.0, no changes necessary [np]
  * use the local keyword in policy compliant way [np]
  * replace emacs with share/texmf in postinst.in [np]
  * add updated version of sv.po (Closes: #491426) [hilmar-guest]
  * Fix dh_installtex compatibility with debhelper version >= 6
    (Closes: #492604) [np]
  * bump version of tex-common packages built with dh_installtex to 1.11
    otherwise the conflict with tetex-base is not included properly. This really
    would close #467330, but due to the disappearance of 1.10 the last
    version is also sufficient [np]
  * Create empty /usr/local/share/texmf in postinst, remove in prerm if
    empty, with code taken from the Policy manual. The decision whether
    local documentation should be in the texmf tree or in
    /usr/local/share/doc and accessed via a symlink is left to the local
    admin (closes: 475077) [fk]
  * Removed the tetex-bin-upgrade script from the source, it is not needed
    nor installed, anyway [fk]
  * register TeX on Debian and the Policy in section Debian [hp, np]
  * remove double definition of OPENTYPEFONTS in texmf.d [np]
  * fix wrong file link in Debian-TeX-Policy.sgml (Closes: #481038)
  * Again install the README file for tpm2licenses in
    /usr/share/tex-common/ [fk]
  * implement support for triggers for /etc/texmf/updmap.d and
    /etc/texmf/language.d [np]